*-- Author :    Francesco Cafagna   02/05/96
      SUBROUTINE FFUSER(KEY)
************************************************************************
*                                                                      *
* User action required in FFREAD                                       *
*                                                                      *
* Variables definition:                                                *
* IN:                                                                  *
*  KEY , Integer with key that caused the FFUSER call                  *
* Called by: FFGO                                                      *
* Author: Francesco Cafagna, 02/05/96 08.57.54                         *
*                                                                      *
************************************************************************
#include "gpkey.inc"
#include "gpunit.inc"
      INTEGER KEY
      CHARACTER*4 CKEY
C
      CALL UHTOC (KEY,4,CKEY,4)
C
C         Card *HBFI action, save name and logical units for HBOOK file
C
      IF(CKEY.EQ.'HBFI') THEN
         LUHBK = NHBFILE(1)

C
C         Convert the file name
C
         CALL UHTOC(NHBFILE(2),4,CHHBK,80)
      ENDIF
C
C         Card *GAFI action, save name and logical units for GARFIELD file
C
      IF(CKEY.EQ.'GAFI') THEN
         LUGAR = NGARFILE(1)

C
C         Convert the file name
C
         CALL UHTOC(NGARFILE(2),4,CHGAR,80)
      ENDIF
C
      RETURN
      END
